import type { Metadata } from "next";

import "./styles/globals.scss";

// some components that require IE11 polyfills.
// import 'core-js/modules/es7.array.includes';
// import 'core-js/modules/es6.array.fill';
// import 'core-js/modules/es6.string.includes';
// import 'core-js/modules/es6.string.trim';
// import 'core-js/modules/es7.object.values';

import Header from "./components/Header";

export const metadata: Metadata = {
  title: "Next.JS with TypeScript for IBM Carbon",
  description: "Generated by create next app",
};

export default function RootLayout({
  children,
}: {
  children: React.ReactNode;
}) {
  return (
    <html lang="en">
      <body>
        <Header />
        {children}
      </body>
    </html>
  );
}
